diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/ns3 ns-3.41/ns3
--- ns-3.40/ns3	2023-09-27 13:30:37.610839000 -0700
+++ ns-3.41/ns3	2024-02-09 14:44:07.845789700 -0800
@@ -2,6 +2,7 @@
 
 import argparse
 import atexit
+import functools
 import glob
 import os
 import re
@@ -10,6 +11,7 @@
 import sys
 
 ns3_path = os.path.dirname(os.path.abspath(__file__))
+append_to_ns3_path = functools.partial(os.path.join, ns3_path)
 out_dir = os.sep.join([ns3_path, "build"])
 lock_file = os.sep.join([ns3_path, ".lock-ns3_%s_build" % sys.platform])
 
@@ -30,7 +32,7 @@
         return
     if print_buffer == "":
         return
-    print_buffer = print_buffer.replace('\\', '/').replace('//', '/').replace('/', os.sep)
+    print_buffer = print_buffer.replace("\\", "/").replace("//", "/").replace("/", os.sep)
     if dry_run:
         print("The following commands would be executed:")
     elif run_verbose:
@@ -39,12 +41,18 @@
 
 
 def on_off_argument(parser, option_name, help_on, help_off=None):
-    parser.add_argument('--enable-%s' % option_name,
-                        help=('Enable %s' % help_on) if help_off is None else help_on,
-                        action="store_true", default=None)
-    parser.add_argument('--disable-%s' % option_name,
-                        help=('Disable %s' % help_on) if help_off is None else help_off,
-                        action="store_true", default=None)
+    parser.add_argument(
+        "--enable-%s" % option_name,
+        help=("Enable %s" % help_on) if help_off is None else help_on,
+        action="store_true",
+        default=None,
+    )
+    parser.add_argument(
+        "--disable-%s" % option_name,
+        help=("Disable %s" % help_on) if help_off is None else help_off,
+        action="store_true",
+        default=None,
+    )
     return parser
 
 
@@ -61,36 +69,42 @@
     return cmake_arg
 
 
-def add_argument_to_subparsers(parsers: list,
-                               arguments: list,
-                               help_msg: str,
-                               dest: str,
-                               action="store_true",
-                               default_value=None):
+def add_argument_to_subparsers(
+    parsers: list,
+    arguments: list,
+    help_msg: str,
+    dest: str,
+    action="store_true",
+    default_value=None,
+):
     # Instead of copying and pasting repeated arguments for each parser, we add them here
     for subparser in parsers:
         subparser_name = subparser.prog.replace("ns3", "").strip()
         destination = ("%s_%s" % (subparser_name, dest)) if subparser_name else dest
-        subparser.add_argument(*arguments,
-                               help=help_msg,
-                               action=action,
-                               default=default_value,
-                               dest=destination)
+        subparser.add_argument(
+            *arguments, help=help_msg, action=action, default=default_value, dest=destination
+        )
 
 
 def parse_args(argv):
-    parser = argparse.ArgumentParser(description="ns-3 wrapper for the CMake build system", add_help=False)
+    parser = argparse.ArgumentParser(
+        description="ns-3 wrapper for the CMake build system", add_help=False
+    )
 
     sub_parser = parser.add_subparsers()
 
-    parser.add_argument('-h', '--help',
-                        help="Print a summary of available commands",
-                        action="store_true", default=None, dest="main_help")
-    parser_help = sub_parser.add_parser('help',
-                                        help='Print a summary of available commands')
-    parser_help.add_argument('help',
-                             help='Print a summary of available commands',
-                             action="store_true", default=False)
+    parser.add_argument(
+        "-h",
+        "--help",
+        help="Print a summary of available commands",
+        action="store_true",
+        default=None,
+        dest="main_help",
+    )
+    parser_help = sub_parser.add_parser("help", help="Print a summary of available commands")
+    parser_help.add_argument(
+        "help", help="Print a summary of available commands", action="store_true", default=False
+    )
     # parser.add_argument('--docset',
     #               help=(
     #                   'Create Docset, without building. This requires the docsetutil tool from Xcode 9.2 or earlier.'
@@ -98,34 +112,56 @@
     #               action="store_true", default=None,
     #               dest="docset_build")
 
-    parser_build = sub_parser.add_parser('build',
-                                         help=('Accepts a list of targets to build,'
-                                               ' or builds the entire project if no target is given'),
-                                         formatter_class=argparse.RawTextHelpFormatter)
-    parser_build.add_argument('build',
-                              help=('Build the entire project or the specified target and its dependencies.\n'
-                                    'To get the list of targets, use:\n'
-                                    './ns3 show targets\n'),
-                              action="store", nargs='*', default=None, metavar='target')
-
-    parser_configure = sub_parser.add_parser('configure',
-                                             help='Try "./ns3 configure --help" for more configuration options')
-    parser_configure.add_argument('configure',
-                                  action='store_true', default=False)
-    parser_configure.add_argument('-d', '--build-profile',
-                                  help='Build profile',
-                                  dest='build_profile',
-                                  choices=["debug", "default", "release", "optimized", "minsizerel"],
-                                  action="store", type=str, default=None)
-
-    parser_configure.add_argument('-G',
-                                  help=('CMake generator '
-                                        '(e.g. https://cmake.org/cmake/help/latest/manual/cmake-generators.7.html)'),
-                                  action="store", type=str, default=None)
-
-    parser_configure.add_argument('--cxx-standard',
-                                  help='Compile NS-3 with the given C++ standard',
-                                  type=str, default=None)
+    parser_build = sub_parser.add_parser(
+        "build",
+        help=(
+            "Accepts a list of targets to build,"
+            " or builds the entire project if no target is given"
+        ),
+        formatter_class=argparse.RawTextHelpFormatter,
+    )
+    parser_build.add_argument(
+        "build",
+        help=(
+            "Build the entire project or the specified target and its dependencies.\n"
+            "To get the list of targets, use:\n"
+            "./ns3 show targets\n"
+        ),
+        action="store",
+        nargs="*",
+        default=None,
+        metavar="target",
+    )
+
+    parser_configure = sub_parser.add_parser(
+        "configure", help='Try "./ns3 configure --help" for more configuration options'
+    )
+    parser_configure.add_argument("configure", action="store_true", default=False)
+    parser_configure.add_argument(
+        "-d",
+        "--build-profile",
+        help="Build profile",
+        dest="build_profile",
+        choices=["debug", "default", "release", "optimized", "minsizerel"],
+        action="store",
+        type=str,
+        default=None,
+    )
+
+    parser_configure.add_argument(
+        "-G",
+        help=(
+            "CMake generator "
+            "(e.g. https://cmake.org/cmake/help/latest/manual/cmake-generators.7.html)"
+        ),
+        action="store",
+        type=str,
+        default=None,
+    )
+
+    parser_configure.add_argument(
+        "--cxx-standard", help="Compile NS-3 with the given C++ standard", type=str, default=None
+    )
 
     # On-Off options
     # First positional is transformed into --enable-option --disable-option
@@ -134,9 +170,11 @@
     # and the third is used as is as the 'disable' description
     on_off_options = [
         ("asserts", "the asserts regardless of the compile mode"),
-        ("des-metrics", "Logging all events in a json file with the name of the executable "
-                        "(which must call CommandLine::Parse(argc, argv))"
-         ),
+        (
+            "des-metrics",
+            "Logging all events in a json file with the name of the executable "
+            "(which must call CommandLine::Parse(argc, argv))",
+        ),
         ("build-version", "embedding git changes as a build version during build"),
         ("clang-tidy", "clang-tidy static analysis"),
         ("dpdk", "the fd-net-device DPDK features"),
@@ -148,181 +186,310 @@
         ("logs", "the logs regardless of the compile mode"),
         ("monolib", "a single shared library with all ns-3 modules"),
         ("mpi", "the MPI support for distributed simulation"),
-        ("ninja-tracing", "the conversion of the Ninja generator log file into about://tracing format"),
+        (
+            "ninja-tracing",
+            "the conversion of the Ninja generator log file into about://tracing format",
+        ),
         ("precompiled-headers", "precompiled headers"),
         ("python-bindings", "python bindings"),
         ("tests", "the ns-3 tests"),
         ("sanitizers", "address, memory leaks and undefined behavior sanitizers"),
-        ("static", "Build a single static library with all ns-3",
-         "Restore the shared libraries"
-         ),
+        ("static", "Build a single static library with all ns-3", "Restore the shared libraries"),
         ("sudo", "use of sudo to setup suid bits on ns3 executables."),
         ("verbose", "printing of additional build system messages"),
         ("warnings", "compiler warnings"),
-        ("werror", "Treat compiler warnings as errors",
-         "Treat compiler warnings as warnings"
-         ),
+        ("werror", "Treat compiler warnings as errors", "Treat compiler warnings as warnings"),
     ]
     for on_off_option in on_off_options:
         parser_configure = on_off_argument(parser_configure, *on_off_option)
 
-    parser_configure.add_argument('--enable-modules',
-                                  help='List of modules to build (e.g. \"core;network;internet\")',
-                                  action="store", type=str, default=None)
-    parser_configure.add_argument('--disable-modules',
-                                  help='List of modules not to build (e.g. \"lte;wimax\")',
-                                  action="store", type=str, default=None)
-    parser_configure.add_argument('--filter-module-examples-and-tests',
-                                  help=('List of modules that should have their examples '
-                                        'and tests built (e.g. \"lte;wifi\")'),
-                                  action="store", type=str, default=None)
-    parser_configure.add_argument('--lcov-report',
-                                  help=('Generate a code coverage report '
-                                        '(use this option after configuring with --enable-gcov and running a program)'),
-                                  action="store_true", default=None)
-    parser_configure.add_argument('--lcov-zerocounters',
-                                  help=('Zero the lcov counters'
-                                        ' (use this option before rerunning a program'
-                                        ' when generating repeated lcov reports)'),
-                                  action="store_true", default=None)
-
-    parser_configure.add_argument('--out', '--output-directory',
-                                  help=('Directory to store build artifacts'),
-                                  type=str, default=None, dest="output_directory")
-    parser_configure.add_argument('--with-brite',
-                                  help=('Use BRITE integration support, given by the indicated path,'
-                                        ' to allow the use of the BRITE topology generator'),
-                                  type=str, default=None)
-    parser_configure.add_argument('--with-click',
-                                  help='Path to Click source or installation prefix for NS-3 Click Integration support',
-                                  type=str, default=None)
-    parser_configure.add_argument('--with-openflow',
-                                  help='Path to OFSID source for NS-3 OpenFlow Integration support',
-                                  type=str, default=None)
-    parser_configure.add_argument('--force-refresh',
-                                  help='Force refresh the CMake cache by deleting'
-                                       ' the cache and reconfiguring the project',
-                                  action="store_true", default=None)
-    parser_configure.add_argument('--prefix',
-                                  help='Target output directory to install',
-                                  action="store", default=None)
-    parser_configure.add_argument('--trace-performance',
-                                  help="Generate a performance trace log for the CMake configuration",
-                                  action="store_true", default=None, dest="trace_cmake_perf")
-
-    parser_clean = sub_parser.add_parser('clean', help='Removes files created by ns3')
-    parser_clean.add_argument('clean', action="store_true", default=False)
-
-    parser_distclean = sub_parser.add_parser('distclean', help='Removes files created by ns3, tests and documentation')
-    parser_distclean.add_argument('distclean', action="store_true", default=False)
-
-    parser_install = sub_parser.add_parser('install', help='Install ns-3')
-    parser_install.add_argument('install', action="store_true", default=False)
-
-    parser_uninstall = sub_parser.add_parser('uninstall', help='Uninstall ns-3')
-    parser_uninstall.add_argument('uninstall', action="store_true", default=False)
-
-    parser_run = sub_parser.add_parser('run',
-                                       help='Try "./ns3 run --help" for more runtime options',
-                                       formatter_class=argparse.RawTextHelpFormatter)
-    parser_run.add_argument('run',
-                            help=('Build and run the target executable.\n'
-                                  'If --no-build is present, the build step is skipped.\n'
-                                  'To get the list of targets, use:\n'
-                                  './ns3 show targets\n'
-                                  'Arguments can be passed down to a program in one of the following ways:\n'
-                                  './ns3 run "target --help"\n'
-                                  './ns3 run target -- --help\n'
-                                  './ns3 run target --command-template="%%s --help"\n'),
-                            default='', nargs='?', metavar='target')
-    parser_run.add_argument('--no-build',
-                            help='Skip build step.',
-                            action="store_true", default=False)
-    parser_run.add_argument('--command-template',
-                            help=('Template of the command used to run the program given by run;'
-                                  ' It should be a shell command string containing %%s inside,'
-                                  ' which will be replaced by the actual program.'),
-                            type=str, default=None)
-    parser_run.add_argument('--cwd',
-                            help='Set the working directory for a program.',
-                            action="store", type=str, default=None)
-    parser_run.add_argument('--gdb',
-                            help='Change the default command template to run programs with gdb',
-                            action="store_true", default=None)
-    parser_run.add_argument('--lldb',
-                            help='Change the default command template to run programs with lldb',
-                            action="store_true", default=None)
-    parser_run.add_argument('-g', '--valgrind',
-                            help='Change the default command template to run programs with valgrind',
-                            action="store_true", default=None)
-    parser_run.add_argument('--memray',
-                            help='Use Memray memory profiler for Python scripts. Output will be saved to memray.output',
-                            action="store_true", default=None)
-    parser_run.add_argument('--heaptrack',
-                            help='Use Heaptrack memory profiler for C++',
-                            action="store_true", default=None)
-    parser_run.add_argument('--perf',
-                            help='Use Linux\'s perf to profile a program',
-                            action="store_true", default=None)
-    parser_run.add_argument('--vis', '--visualize',
-                            help='Modify --run arguments to enable the visualizer',
-                            action="store_true", dest="visualize", default=None)
-    parser_run.add_argument('--enable-sudo',
-                            help='Use sudo to setup suid bits on ns3 executables.',
-                            dest='enable_sudo', action='store_true',
-                            default=False)
-
-    parser_shell = sub_parser.add_parser('shell',
-                                         help='Try "./ns3 shell --help" for more shell options')
-    parser_shell.add_argument('shell',
-                              help='Export necessary environment variables and open a shell',
-                              action="store_true", default=False)
-
-    parser_docs = sub_parser.add_parser('docs',
-                                        help='Try "./ns3 docs --help" for more documentation options')
-    parser_docs.add_argument('docs',
-                             help='Build project documentation',
-                             choices=["contributing", "installation", "manual", "models", "tutorial",
-                                      "sphinx", "doxygen-no-build", "doxygen", "all"],
-                             action="store", type=str, default=None)
-
-    parser_show = sub_parser.add_parser('show',
-                                        help='Try "./ns3 show --help" for more show options')
-    parser_show.add_argument('show',
-                             help=('Print the current ns-3 build profile type, configuration or version, '
-                                   'or a list of buildable/runnable targets'),
-                             choices=["profile", "version", "config", "targets", "all"],
-                             action="store", type=str, nargs="?", default="all")
+    parser_configure.add_argument(
+        "--enable-modules",
+        help='List of modules to build (e.g. "core;network;internet")',
+        action="store",
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--disable-modules",
+        help='List of modules not to build (e.g. "lte;wimax")',
+        action="store",
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--filter-module-examples-and-tests",
+        help=(
+            "List of modules that should have their examples " 'and tests built (e.g. "lte;wifi")'
+        ),
+        action="store",
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--lcov-report",
+        help=(
+            "Generate a code coverage report "
+            "(use this option after configuring with --enable-gcov and running a program)"
+        ),
+        action="store_true",
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--lcov-zerocounters",
+        help=(
+            "Zero the lcov counters"
+            " (use this option before rerunning a program"
+            " when generating repeated lcov reports)"
+        ),
+        action="store_true",
+        default=None,
+    )
+
+    parser_configure.add_argument(
+        "--out",
+        "--output-directory",
+        help=("Directory to store build artifacts"),
+        type=str,
+        default=None,
+        dest="output_directory",
+    )
+    parser_configure.add_argument(
+        "--with-brite",
+        help=(
+            "Use BRITE integration support, given by the indicated path,"
+            " to allow the use of the BRITE topology generator"
+        ),
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--with-click",
+        help="Path to Click source or installation prefix for NS-3 Click Integration support",
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--with-openflow",
+        help="Path to OFSID source for NS-3 OpenFlow Integration support",
+        type=str,
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--force-refresh",
+        help="Force refresh the CMake cache by deleting" " the cache and reconfiguring the project",
+        action="store_true",
+        default=None,
+    )
+    parser_configure.add_argument(
+        "--prefix", help="Target output directory to install", action="store", default=None
+    )
+    parser_configure.add_argument(
+        "--trace-performance",
+        help="Generate a performance trace log for the CMake configuration",
+        action="store_true",
+        default=None,
+        dest="trace_cmake_perf",
+    )
+
+    parser_clean = sub_parser.add_parser("clean", help="Removes files created by ns3")
+    parser_clean.add_argument("clean", action="store_true", default=False)
+
+    parser_distclean = sub_parser.add_parser(
+        "distclean", help="Removes files created by ns3, tests and documentation"
+    )
+    parser_distclean.add_argument("distclean", action="store_true", default=False)
+
+    parser_install = sub_parser.add_parser("install", help="Install ns-3")
+    parser_install.add_argument("install", action="store_true", default=False)
+
+    parser_uninstall = sub_parser.add_parser("uninstall", help="Uninstall ns-3")
+    parser_uninstall.add_argument("uninstall", action="store_true", default=False)
+
+    parser_run = sub_parser.add_parser(
+        "run",
+        help='Try "./ns3 run --help" for more runtime options',
+        formatter_class=argparse.RawTextHelpFormatter,
+    )
+    parser_run.add_argument(
+        "run",
+        help=(
+            "Build and run the target executable.\n"
+            "If --no-build is present, the build step is skipped.\n"
+            "To get the list of targets, use:\n"
+            "./ns3 show targets\n"
+            "Arguments can be passed down to a program in one of the following ways:\n"
+            './ns3 run "target --help"\n'
+            "./ns3 run target -- --help\n"
+            './ns3 run target --command-template="%%s --help"\n'
+        ),
+        default="",
+        nargs="?",
+        metavar="target",
+    )
+    parser_run.add_argument(
+        "--no-build", help="Skip build step.", action="store_true", default=False
+    )
+    parser_run.add_argument(
+        "--command-template",
+        help=(
+            "Template of the command used to run the program given by run;"
+            " It should be a shell command string containing %%s inside,"
+            " which will be replaced by the actual program."
+        ),
+        type=str,
+        default=None,
+    )
+    parser_run.add_argument(
+        "--cwd",
+        help="Set the working directory for a program.",
+        action="store",
+        type=str,
+        default=None,
+    )
+    parser_run.add_argument(
+        "--gdb",
+        help="Change the default command template to run programs with gdb",
+        action="store_true",
+        default=None,
+    )
+    parser_run.add_argument(
+        "--lldb",
+        help="Change the default command template to run programs with lldb",
+        action="store_true",
+        default=None,
+    )
+    parser_run.add_argument(
+        "-g",
+        "--valgrind",
+        help="Change the default command template to run programs with valgrind",
+        action="store_true",
+        default=None,
+    )
+    parser_run.add_argument(
+        "--memray",
+        help="Use Memray memory profiler for Python scripts. Output will be saved to memray.output",
+        action="store_true",
+        default=None,
+    )
+    parser_run.add_argument(
+        "--heaptrack",
+        help="Use Heaptrack memory profiler for C++",
+        action="store_true",
+        default=None,
+    )
+    parser_run.add_argument(
+        "--perf", help="Use Linux's perf to profile a program", action="store_true", default=None
+    )
+    parser_run.add_argument(
+        "--vis",
+        "--visualize",
+        help="Modify --run arguments to enable the visualizer",
+        action="store_true",
+        dest="visualize",
+        default=None,
+    )
+    parser_run.add_argument(
+        "--enable-sudo",
+        help="Use sudo to setup suid bits on ns3 executables.",
+        dest="enable_sudo",
+        action="store_true",
+        default=False,
+    )
+
+    parser_shell = sub_parser.add_parser(
+        "shell", help='Try "./ns3 shell --help" for more shell options'
+    )
+    parser_shell.add_argument(
+        "shell",
+        help="Export necessary environment variables and open a shell",
+        action="store_true",
+        default=False,
+    )
+
+    parser_docs = sub_parser.add_parser(
+        "docs", help='Try "./ns3 docs --help" for more documentation options'
+    )
+    parser_docs.add_argument(
+        "docs",
+        help="Build project documentation",
+        choices=[
+            "contributing",
+            "installation",
+            "manual",
+            "models",
+            "tutorial",
+            "sphinx",
+            "doxygen-no-build",
+            "doxygen",
+            "all",
+        ],
+        action="store",
+        type=str,
+        default=None,
+    )
+
+    parser_show = sub_parser.add_parser(
+        "show", help='Try "./ns3 show --help" for more show options'
+    )
+    parser_show.add_argument(
+        "show",
+        help=(
+            "Print the current ns-3 build profile type, configuration or version, "
+            "or a list of buildable/runnable targets"
+        ),
+        choices=["profile", "version", "config", "targets", "all"],
+        action="store",
+        type=str,
+        nargs="?",
+        default="all",
+    )
 
     add_argument_to_subparsers(
-        [parser, parser_build, parser_configure, parser_clean, parser_distclean, parser_docs, parser_run, parser_show],
+        [
+            parser,
+            parser_build,
+            parser_configure,
+            parser_clean,
+            parser_distclean,
+            parser_docs,
+            parser_run,
+            parser_show,
+        ],
         ["--dry-run"],
         help_msg="Do not execute the commands.",
-        dest="dry_run")
+        dest="dry_run",
+    )
 
-    add_argument_to_subparsers([parser, parser_build, parser_run],
-                               ['-j', '--jobs'],
-                               help_msg="Set number of parallel jobs.",
-                               dest="jobs",
-                               action="store",
-                               default_value=max_cpu_threads)
-
-    add_argument_to_subparsers([parser, parser_build, parser_configure, parser_run, parser_show],
-                               ["--quiet"],
-                               help_msg="Don't print task lines, i.e. messages saying which tasks are being executed.",
-                               dest="quiet")
-
-    add_argument_to_subparsers([parser, parser_build, parser_configure, parser_docs, parser_run],
-                               ['-v', '--verbose'],
-                               help_msg='Print which commands were executed',
-                               dest='verbose',
-                               default_value=False)
+    add_argument_to_subparsers(
+        [parser, parser_build, parser_run],
+        ["-j", "--jobs"],
+        help_msg="Set number of parallel jobs.",
+        dest="jobs",
+        action="store",
+        default_value=max_cpu_threads,
+    )
+
+    add_argument_to_subparsers(
+        [parser, parser_build, parser_configure, parser_run, parser_show],
+        ["--quiet"],
+        help_msg="Don't print task lines, i.e. messages saying which tasks are being executed.",
+        dest="quiet",
+    )
+
+    add_argument_to_subparsers(
+        [parser, parser_build, parser_configure, parser_docs, parser_run],
+        ["-v", "--verbose"],
+        help_msg="Print which commands were executed",
+        dest="verbose",
+        default_value=False,
+    )
 
     # Try to split -- separated arguments into two lists for ns3 and for the runnable target
     try:
-        args_separator_index = argv.index('--')
+        args_separator_index = argv.index("--")
         ns3_args = argv[:args_separator_index]
-        runnable_args = argv[args_separator_index + 1:]
+        runnable_args = argv[args_separator_index + 1 :]
     except ValueError:
         ns3_args = argv
         runnable_args = []
@@ -331,17 +498,19 @@
     args, unknown_args = parser.parse_known_args(ns3_args)
 
     # If run doesn't have a target, print the help message of the run parser
-    if "run" in args and args.run == '':
+    if "run" in args and args.run == "":
         parser_run.print_help()
         exit(-1)
 
     # Merge attributes
     attributes_to_merge = ["dry_run", "help", "verbose", "quiet"]
     filtered_attributes = list(
-        filter(lambda x: x if ("disable" not in x and "enable" not in x) else None, args.__dir__()))
+        filter(lambda x: x if ("disable" not in x and "enable" not in x) else None, args.__dir__())
+    )
     for attribute in attributes_to_merge:
         merging_attributes = list(
-            map(lambda x: args.__getattribute__(x) if attribute in x else None, filtered_attributes))
+            map(lambda x: args.__getattribute__(x) if attribute in x else None, filtered_attributes)
+        )
         setattr(args, attribute, merging_attributes.count(True) > 0)
 
     if args.help:
@@ -351,8 +520,8 @@
 
         # retrieve subparsers from parser
         subparsers_actions = [
-            action for action in parser._actions
-            if isinstance(action, argparse._SubParsersAction)]
+            action for action in parser._actions if isinstance(action, argparse._SubParsersAction)
+        ]
         # there will probably only be one subparser_action,
         # but better safe than sorry
         for subparsers_action in subparsers_actions:
